Page MenuHomePhabricator

CI: automated tests on patch upload and merge
Closed, ResolvedPublic

Description

Continuous Integration: adding or changing automated tests and other checks on patch upload and merge in any repository hosted on gerrit.wikimedia.org. We also like to talk about other aspects of CI at Wikimedia.
If no other questions come up we intent on this being a workshop on jenkins job builder & zuul and how this integrates with gerrit to trigger tests and show results. Bring your favorite check and lets add it to be run automatically by the Wikimedia CI. Tweak existing test jobs to suit your needs. Enable existing test jobs on more git repositories.

Wednesday (day 1) at 16:00 in room "Hackathon Workplace 2 - Don Genaro".

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2015, 2:28 PM
Qgil added a subscriber: Qgil.Jul 8 2015, 6:22 AM

Is this a confirmed #wikimania-hackathon-2015 task? If so, please move it to the appropriate column in the workboard and assign it to the main contact person. If it's a training session, you are encouraged to schedule it in advance . Thank you!

I'm unsure if we should hold this as a scheduled workshop / training session. Depends on interest. Alternatively @zeljkofilipin and me will be around to answer questions regarding the topic.

JanZerebecki renamed this task from jenkins job builder & zuul training to CI: jenkins job builder & zuul training.Jul 14 2015, 6:30 AM
JanZerebecki updated the task description. (Show Details)
JanZerebecki set Security to None.
JanZerebecki renamed this task from CI: jenkins job builder & zuul training to CI: automated tests on patch upload and merge.Jul 15 2015, 2:59 PM
JanZerebecki claimed this task.
JanZerebecki updated the task description. (Show Details)
JanZerebecki triaged this task as Medium priority.Jul 15 2015, 3:05 PM
JanZerebecki updated the task description. (Show Details)

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

JanZerebecki closed this task as Resolved.Jul 23 2015, 1:52 PM

This did take place although we changed the topic a bit to be a more general introduction to uploading a patch and testing it. The attendees were either very experienced or inexperienced so we decided to team up.